<?php


if ( !function_exists( 'themezinho_product_brand_taxonomy' ) ) {

  // Register Custom Taxonomy
	function themezinho_product_brand_taxonomy() {
	  $labels = array(
		'name'                       => _x( 'Brands', 'Taxonomy General Name', 'themezinho' ),
		'singular_name'              => _x( 'Brand', 'Taxonomy Singular Name', 'themezinho' ),
		'menu_name'                  => __( 'Brand', 'themezinho' ),
		'all_items'                  => __( 'All Brands', 'themezinho' ),
		'parent_item'                => __( 'Parent Brand', 'themezinho' ),
		'parent_item_colon'          => __( 'Parent Brand:', 'themezinho' ),
		'new_item_name'              => __( 'New Brand Name', 'themezinho' ),
		'add_new_item'               => __( 'Add New Brand', 'themezinho' ),
		'edit_item'                  => __( 'Edit Brand', 'themezinho' ),
		'update_item'                => __( 'Update Brand', 'themezinho' ),
		'view_item'                  => __( 'View Brand', 'themezinho' ),
		'separate_items_with_commas' => __( 'Separate brands with commas', 'themezinho' ),
		'add_or_remove_items'        => __( 'Add or remove brands', 'themezinho' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'themezinho' ),
		'popular_items'              => __( 'Popular Brands', 'themezinho' ),
		'search_items'               => __( 'Search Brands', 'themezinho' ),
		'not_found'                  => __( 'Not Found', 'themezinho' ),
		'no_terms'                   => __( 'No brands', 'themezinho' ),
		'items_list'                 => __( 'Brands list', 'themezinho' ),
		'items_list_navigation'      => __( 'Brands list navigation', 'themezinho' ),
	  );
	  $args   = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	  );
	  register_taxonomy( 'brand', array( 'product' ), $args );
	}
  add_action( 'init', 'themezinho_product_brand_taxonomy', 0 );
}



if ( !function_exists( 'themezinho_product_gender_taxonomy' ) ) {

  // Register Custom Taxonomy
	function themezinho_product_gender_taxonomy() {
	  $labels = array(
		'name'                       => _x( 'Genders', 'Taxonomy General Name', 'themezinho' ),
		'singular_name'              => _x( 'Gender', 'Taxonomy Singular Name', 'themezinho' ),
		'menu_name'                  => __( 'Gender', 'themezinho' ),
		'all_items'                  => __( 'All Genders', 'themezinho' ),
		'parent_item'                => __( 'Parent Gender', 'themezinho' ),
		'parent_item_colon'          => __( 'Parent Gender:', 'themezinho' ),
		'new_item_name'              => __( 'New Gender Name', 'themezinho' ),
		'add_new_item'               => __( 'Add New Gender', 'themezinho' ),
		'edit_item'                  => __( 'Edit Gender', 'themezinho' ),
		'update_item'                => __( 'Update Gender', 'themezinho' ),
		'view_item'                  => __( 'View Gender', 'themezinho' ),
		'separate_items_with_commas' => __( 'Separate genders with commas', 'themezinho' ),
		'add_or_remove_items'        => __( 'Add or remove genders', 'themezinho' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'themezinho' ),
		'popular_items'              => __( 'Popular Genders', 'themezinho' ),
		'search_items'               => __( 'Search Genders', 'themezinho' ),
		'not_found'                  => __( 'Not Found', 'themezinho' ),
		'no_terms'                   => __( 'No genders', 'themezinho' ),
		'items_list'                 => __( 'Genders list', 'themezinho' ),
		'items_list_navigation'      => __( 'Genders list navigation', 'themezinho' ),
	  );
	  $args   = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	  );
	  register_taxonomy( 'gender', array( 'product' ), $args );
	}
  add_action( 'init', 'themezinho_product_gender_taxonomy', 0 );
}



if ( !function_exists( 'themezinho_product_material_taxonomy' ) ) {

  // Register Custom Taxonomy
	function themezinho_product_material_taxonomy() {
	  $labels = array(
		'name'                       => _x( 'Materials', 'Taxonomy General Name', 'themezinho' ),
		'singular_name'              => _x( 'Material', 'Taxonomy Singular Name', 'themezinho' ),
		'menu_name'                  => __( 'Material', 'themezinho' ),
		'all_items'                  => __( 'All Materials', 'themezinho' ),
		'parent_item'                => __( 'Parent Material', 'themezinho' ),
		'parent_item_colon'          => __( 'Parent Material:', 'themezinho' ),
		'new_item_name'              => __( 'New Material Name', 'themezinho' ),
		'add_new_item'               => __( 'Add New Material', 'themezinho' ),
		'edit_item'                  => __( 'Edit Material', 'themezinho' ),
		'update_item'                => __( 'Update Material', 'themezinho' ),
		'view_item'                  => __( 'View Material', 'themezinho' ),
		'separate_items_with_commas' => __( 'Separate materials with commas', 'themezinho' ),
		'add_or_remove_items'        => __( 'Add or remove materials', 'themezinho' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'themezinho' ),
		'popular_items'              => __( 'Popular Materials', 'themezinho' ),
		'search_items'               => __( 'Search Materials', 'themezinho' ),
		'not_found'                  => __( 'Not Found', 'themezinho' ),
		'no_terms'                   => __( 'No materials', 'themezinho' ),
		'items_list'                 => __( 'Materials list', 'themezinho' ),
		'items_list_navigation'      => __( 'Materials list navigation', 'themezinho' ),
	  );
	  $args   = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	  );
	  register_taxonomy( 'material', array( 'product' ), $args );
	}
  add_action( 'init', 'themezinho_product_material_taxonomy', 0 );
}

if ( !function_exists( 'themezinho_product_style_taxonomy' ) ) {

  // Register Custom Taxonomy
	function themezinho_product_style_taxonomy() {
	  $labels = array(
		'name'                       => _x( 'Styles', 'Taxonomy General Name', 'themezinho' ),
		'singular_name'              => _x( 'Style', 'Taxonomy Singular Name', 'themezinho' ),
		'menu_name'                  => __( 'Style', 'themezinho' ),
		'all_items'                  => __( 'All Styles', 'themezinho' ),
		'parent_item'                => __( 'Parent Style', 'themezinho' ),
		'parent_item_colon'          => __( 'Parent Style:', 'themezinho' ),
		'new_item_name'              => __( 'New Style Name', 'themezinho' ),
		'add_new_item'               => __( 'Add New Style', 'themezinho' ),
		'edit_item'                  => __( 'Edit Style', 'themezinho' ),
		'update_item'                => __( 'Update Style', 'themezinho' ),
		'view_item'                  => __( 'View Style', 'themezinho' ),
		'separate_items_with_commas' => __( 'Separate styles with commas', 'themezinho' ),
		'add_or_remove_items'        => __( 'Add or remove styles', 'themezinho' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'themezinho' ),
		'popular_items'              => __( 'Popular Styles', 'themezinho' ),
		'search_items'               => __( 'Search Styles', 'themezinho' ),
		'not_found'                  => __( 'Not Found', 'themezinho' ),
		'no_terms'                   => __( 'No styles', 'themezinho' ),
		'items_list'                 => __( 'Styles list', 'themezinho' ),
		'items_list_navigation'      => __( 'Styles list navigation', 'themezinho' ),
	  );
	  $args   = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	  );
	  register_taxonomy( 'style', array( 'product' ), $args );
	}
  add_action( 'init', 'themezinho_product_style_taxonomy', 0 );
}



if ( !function_exists( 'themezinho_product_season_taxonomy' ) ) {

  // Register Custom Taxonomy
	function themezinho_product_season_taxonomy() {
	  $labels = array(
		'name'                       => _x( 'Seasons', 'Taxonomy General Name', 'themezinho' ),
		'singular_name'              => _x( 'Season', 'Taxonomy Singular Name', 'themezinho' ),
		'menu_name'                  => __( 'Season', 'themezinho' ),
		'all_items'                  => __( 'All Seasons', 'themezinho' ),
		'parent_item'                => __( 'Parent Season', 'themezinho' ),
		'parent_item_colon'          => __( 'Parent Season:', 'themezinho' ),
		'new_item_name'              => __( 'New Season Name', 'themezinho' ),
		'add_new_item'               => __( 'Add New Season', 'themezinho' ),
		'edit_item'                  => __( 'Edit Season', 'themezinho' ),
		'update_item'                => __( 'Update Season', 'themezinho' ),
		'view_item'                  => __( 'View Season', 'themezinho' ),
		'separate_items_with_commas' => __( 'Separate seasons with commas', 'themezinho' ),
		'add_or_remove_items'        => __( 'Add or remove seasons', 'themezinho' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'themezinho' ),
		'popular_items'              => __( 'Popular Seasons', 'themezinho' ),
		'search_items'               => __( 'Search Seasons', 'themezinho' ),
		'not_found'                  => __( 'Not Found', 'themezinho' ),
		'no_terms'                   => __( 'No seasons', 'themezinho' ),
		'items_list'                 => __( 'Seasons list', 'themezinho' ),
		'items_list_navigation'      => __( 'Seasons list navigation', 'themezinho' ),
	  );
	  $args   = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	  );
	  register_taxonomy( 'season', array( 'product' ), $args );
	}
  add_action( 'init', 'themezinho_product_season_taxonomy', 0 );
}
