<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Brands_Carousel_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-brands-carousel';
	}
	public function get_title() {
	  return 'Brands Carousel';
	}
	public function get_icon() {
	  return 'eicon-carousel';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_brands_carousel_section', [
		'label' => esc_html__( 'Brands Carousel', 'themezinho' ),
	  ] );


	  $this->add_control(
		'total_brands',
		array(
		'label' => esc_html__( 'Total Brands', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => '99',

	  )
	  );

		$this->add_control(
		'show_pagination',
		array(
		'label' => esc_html__( 'Show Pagination', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_off' => esc_html__( 'Hide', 'themezinho' ),
				'label_on' => esc_html__( 'Show', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'no',

	  )
	  );



		$this->add_control(
		'show_border',
		array(
		'label' => esc_html__( 'Show Border', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_off' => esc_html__( 'Hide', 'themezinho' ),
				'label_on' => esc_html__( 'Show', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'no',

	  )
	  );

	  $this->add_control(
		'show_brand_logo',
		array(
		'label' => esc_html__( 'Show Brand Logo', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'themezinho' ),
				'label_off' => esc_html__( 'Hide', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'yes',

	  )
	  );


	  $this->add_control(
		'show_brand_name',
		array(
		'label' => esc_html__( 'Show Brand Name', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'themezinho' ),
				'label_off' => esc_html__( 'Hide', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'yes',

	  )
	  );

	  $this->add_control(
		'brand_link',
		array(
		'label' => esc_html__( 'Brand Link', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Yes', 'themezinho' ),
				'label_off' => esc_html__( 'No', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'yes',

	  )
	  );



	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();

		$args = array(
		'number'     => $settings['total_brands'],
		'orderby'    => 'count',
		'order'      => 'DESC',
		'hide_empty' => true,
	  );

	  $brands = get_terms( 'brand', $args );

		?>


	<div class="brands-carousel">
	  <div class="swiper-wrapper">

			<?php if ( !empty($brands) ) { ?>

		 <?php
			 foreach ($brands as $brand) {
				 $term_link = get_term_link($brand);
         $brand_logo_id = get_term_meta($brand->term_id, 'brand_logo', true);
         $brand_logo_url = wp_get_attachment_url($brand_logo_id);
				 ?>



		<div class="swiper-slide"<?php if ( 'yes' === $settings['show_border'] ) { ?> style="border:1px solid var(--color-gray); border-radius:4px;"<?php } ?>>
			  <?php
				if ( 'yes' === $settings['brand_link'] ) {
					?>
					  <a href="<?php echo esc_url( $term_link ); ?>"> <?php } ?>
			<?php
				if ( 'yes' === $settings['show_brand_logo'] ) {
					?>
					<img src="<?php echo esc_url( $brand_logo_url ); ?>" alt="<?php echo esc_attr( $brand->name ); ?>">
				<?php } ?>
			<?php
				if ( 'yes' === $settings['show_brand_name'] ) {
					?>
					<h6><?php echo esc_html($brand->name); ?></h6><?php } ?>
			<?php
				if ( 'yes' === $settings['brand_link'] ) {
					?>
					 </a> <?php } ?>
		</div>

	<?php } ?>

<?php } else { ?>
<div class="swiper-slide"><?php echo esc_html('No brands found'); ?></div>
<?php } ?>



	</div>
	<?php if ( 'yes' === $settings['show_pagination'] ) { ?><div class="swiper-pagination"></div><?php } ?>
	</div>



<?php


	}
}
