<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Brands_List_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-brand-list';
	}
	public function get_title() {
	  return 'Brands List';
	}
	public function get_icon() {
	  return 'eicon-gallery-justified';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_brands_list_section', [
		'label' => esc_html__( 'Brands List', 'themezinho' ),
	  ] );


	  $this->add_control(
		'total_brands',
		array(
		'label' => esc_html__( 'Total Brands', 'themezinho' ),
		'type' => \Elementor\Controls_Manager::TEXT,
		'default' => '24',

	  )
	  );

	  $this->add_control(
		'columns',
		array(
		'label' => __( 'Grid Columns', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' ),
		  '7' => esc_html__( '7', 'themezinho' ),
		  '8' => esc_html__( '8', 'themezinho' )
		],
		'default' => '4'
	  )
	  );









	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();


		?>



	  <?php
	  $args = array(
		'number'     => $settings['total_brands'],
		'orderby'    => 'count',
		'order'      => 'DESC',
		'hide_empty' => true,
	  );

	  $brands = get_terms( 'brand', $args );
		?>


  <div class="brands-list" data-columns="<?php echo esc_attr($settings['columns']); ?>">
	  <?php if ( !empty($brands) ) { ?>

		<ul>
		<?php
			foreach ($brands as $brand) {
				$term_link = get_term_link( $brand );
				?>
			<li><a href="<?php echo esc_url( $term_link ); ?>"><?php echo esc_html($brand->name); ?></a></li>
			<?php } ?>
		</ul>
	<?php } else { ?>
	  <h4><?php echo esc_html('No brands found'); ?></h4>
	<?php } ?>

</div>



<?php


	}
}
