<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Category_Grid_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-category-grid';
	}
	public function get_title() {
	  return 'Category Grid';
	}
	public function get_icon() {
	  return 'eicon-sitemap';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {
	  $this->start_controls_section( 'skolka_category_grid', [
		'label' => esc_html__( 'Category Grid', 'themezinho' ),
	  ] );


	  $this->add_control(
		'limit',
		array(
		'label' => __( 'Total Categories', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( '24', 'themezinho' ),
	  )
	  );

	  $this->add_control(
		'grid_columns',
		array(
		'label' => __( 'Grid Columns', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' ),
		  '7' => esc_html__( '7', 'themezinho' ),
		  '8' => esc_html__( '8', 'themezinho' )
		],
		'default' => '4'
	  )
	  );




	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/


	}
	protected function render() {
	  $settings = $this->get_settings_for_display();


		?>



	  <?php
	  $args = array(
		'number'     => $settings['limit'],
		'orderby'    => 'count',
		'order'      => 'DESC',
		'hide_empty' => true,
	  );

	  $product_categories = get_terms( 'product_cat', $args );

		if ( !empty($product_categories) ) {
			?>


	  <div class="woocommerce-category-grid" data-columns="<?php echo esc_attr($settings['grid_columns']); ?>">
		<ul>
		  <?php
			foreach ($product_categories as $category) {
				$term_link = get_term_link( $category );
				?>
			<li><a href="<?php echo esc_url( $term_link ); ?>"><?php echo esc_html($category->name); ?></a></li>
			<?php } ?>
		</ul>
		<?php } else { ?>
	  <h4><?php echo esc_html('No categories found'); ?></h4>
   <?php } ?>
 </div>

<?php


	}
}
