<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Product_List_New_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-product-list-new';
	}
	public function get_title() {
	  return 'Product List New';
	}
	public function get_icon() {
	  return 'eicon-gallery-justified';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {
	  $this->start_controls_section( 'skolka_product_list_new', [
		'label' => esc_html__( 'Product List New', 'themezinho' ),
	  ] );


	  $this->add_control(
		'columns',
		array(
		'label' => __( 'New Columns', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' )
		],
		'default' => '4'
	  )
	  );


	  $this->add_control(
		'limit',
		array(
		'label' => __( 'Product Limit', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( '4', 'themezinho' ),
	  )
	  );

		$this->add_control(
		'daysago',
		array(
		'label' => __( 'How many days ago ?', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( '30', 'themezinho' ),
	  )
	  );


	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/


	}
	protected function render() {
	  $settings = $this->get_settings_for_display();
		?>
	<div class="woocommerce columns-<?php echo esc_attr( $settings['columns'], array() ); ?>">
	<ul class="products columns-<?php echo esc_attr( $settings['columns'], array() ); ?>">

		<?php
		$days_ago = $settings['daysago'];
		$days_ago_date = date('Y-m-d', strtotime("-{$days_ago} days"));
		$args = array(
    'post_type' => 'product',
    'post_status' => 'publish',
		'posts_per_page' => $settings['limit'],
    'date_query' => array(
        array(
          'after' => $days_ago_date
        )
    )
);
			$loop = new \WP_Query( $args );
		if ( $loop->have_posts() ) {
			while ( $loop->have_posts() ) :
$loop->the_post();
				wc_get_template_part( 'content', 'product' );
				endwhile;
		} else {
			echo esc_html__( 'No products found' );
		}
			wp_reset_postdata();
		?>
	</ul>
	<!-- end products -->
	</div>
	<!-- end woocommerce -->


<?php


	}
}
